aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChris Rebert <[email protected]>2014-08-14 17:59:55 -0700
committerChris Rebert <[email protected]>2014-08-14 17:59:55 -0700
commitff18f380d50ef5c0a0e948804a2e2f1e7c3d616c (patch)
treed77fb52099665fe8b54ccb6637c35ab8f860c530
parent559f16572f6c1f0967ee7fcd72c07c67423d85d8 (diff)
downloadbootstrap-ff18f380d50ef5c0a0e948804a2e2f1e7c3d616c.tar.xz
bootstrap-ff18f380d50ef5c0a0e948804a2e2f1e7c3d616c.zip
Add retries to uncached-npm-install.sh
Pull requests are frequently failing on Travis due to npm flakiness (I think) travis_retry isn't available in indirect subshells like this
-rwxr-xr-xtest-infra/uncached-npm-install.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/test-infra/uncached-npm-install.sh b/test-infra/uncached-npm-install.sh
index 7c728aa64..a2d41445d 100755
--- a/test-infra/uncached-npm-install.sh
+++ b/test-infra/uncached-npm-install.sh
@@ -2,5 +2,14 @@
set -e
cd .. # /bootstrap/
cp test-infra/npm-shrinkwrap.json npm-shrinkwrap.json
-npm install
+# npm is flaky, so try multiple times
+MAXTRIES=3
+TRIES=1
+while ! npm install; do
+ if [ $TRIES -ge $MAXTRIES ]; then
+ exit 1
+ fi
+ TRIES=$(($TRIES + 1))
+ echo "Retrying npm install (Try $TRIES of $MAXTRIES)..."
+done
rm npm-shrinkwrap.json